Bug 784006 - change --cleanallconfig so "--clean" still works as before
change --cleanallconfig so "--clean" still works as before
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.2
Unspecified Unspecified
urgent Severity unspecified (vote)
: ---
: RHQ 4.3.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: 786600
  Show dependency treegraph
 
Reported: 2012-01-23 09:39 EST by John Mazzitelli
Modified: 2013-08-31 06:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 786600 (view as bug list)
Environment:
Last Closed: 2013-08-31 06:08:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2012-01-23 09:39:23 EST
the shortcut option "--clean" used to refer to --cleanconfig.

however, now we have --cleanallconfig from bug #782612 so "--clean" is ambiguous and causes an error at startup.

To support users who are used to --clean from previous versions, let's rename --cleanallconfig to something else like --allcleanconfig or something like that.
Comment 1 John Mazzitelli 2012-01-23 09:43:03 EST
I'll also add a --token cmdline option that lets the user set the token to avoid having the user enter -Drhq.agent.security-token when setting it.
Comment 2 John Mazzitelli 2012-01-23 10:06:55 EST
for release-3.0.1 branch:

* make --cleanallconfig to be unambiguous (rename it)
* change the error message to be clear that the user has to enter -Drhq.agent.security-token to set the token
Comment 4 Mike Foley 2012-01-23 10:41:53 EST
adding reference to the doc BZ

https://bugzilla.redhat.com/show_bug.cgi?id=783247

this BZ is for both the Wiki updates ... AND the required doc change to JON 2.4.2 docs
Comment 5 John Mazzitelli 2012-01-23 12:07:51 EST
the new error will say:

The server has rejected the agent registration request. Cause: [org.rhq.core.clientapi.server.core.AgentRegistrationException:The agent [fooagent] is attempting to re-register without a security token. Please consult an administrator to obtain the agent's proper security token and restart the agent with the option "-Drhq.agent.security-token=<the valid security token>"]

the new option is now called --fullcleanconfig - the shortcut is still -L.
Comment 6 John Mazzitelli 2012-01-23 12:12:39 EST
master commit: 1189549
release-3.0.1 commit: 1f42ac3

did not include a --token cmdline option in this comment
Comment 7 Charles Crouch 2012-02-01 16:27:58 EST
Fix went into JON2.4.2 and master, so setting target release versions appropriately.
Comment 8 Larry O'Leary 2013-05-20 16:36:53 EDT
Removing JON 2.4.2 from target list as this is a community BZ. This was tested and verified in downstream JON 3.0.1 as per Bug 786600 and is available in RHQ 4.3.
Comment 9 Heiko W. Rupp 2013-08-31 06:08:54 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.